﻿using System;
using System.Text;

namespace subsyncer
{
    public static class Extensions
    {
        public static string ToFrenchString(this TimeSpan ts)
        {
            StringBuilder sb = new StringBuilder();
            int isNegative = ts.TotalMilliseconds > 0 ? 1 : -1;
            if (isNegative == -1)
            {
                sb.Append("-");
            }

            sb.Append((isNegative * ts.Hours).ToString("D2"));
            sb.Append(":");
            sb.Append((isNegative * ts.Minutes).ToString("D2"));
            sb.Append(":");
            sb.Append((isNegative * ts.Seconds).ToString("D2"));
            sb.Append(",");
            sb.Append((isNegative * ts.Milliseconds).ToString("D4"));

            return sb.ToString();
        }
    }
}